#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1e45e177, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xb113430a, "bus_register" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0xa0f85ffc, "kmem_cache_create" },
	{ 0xfd7bccc1, "bus_unregister" },
	{ 0x5ec7cfb2, "kmem_cache_destroy" },
	{ 0x86b662ed, "ceph_pg_poolid_by_name" },
	{ 0x7d6bb587, "cpu_online_mask" },
	{ 0xfe7c4287, "nr_cpu_ids" },
	{ 0x4141f80, "__tracepoint_module_get" },
	{ 0xdae3b426, "add_disk" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x4d058c9d, "device_register" },
	{ 0xf7fe2de3, "dev_set_name" },
	{ 0x71a50dbc, "register_blkdev" },
	{ 0x474b97b2, "ida_simple_get" },
	{ 0x1eb7452b, "ida_simple_remove" },
	{ 0xf3364a70, "blk_cleanup_queue" },
	{ 0xf9dafe60, "del_gendisk" },
	{ 0x96ba5997, "ceph_client_id" },
	{ 0xd92ae531, "__blk_end_request_all" },
	{ 0xc7dc670f, "blk_fetch_request" },
	{ 0x7df836f0, "set_device_ro" },
	{ 0x2f0e1e70, "get_device" },
	{ 0x484f9f9a, "put_device" },
	{ 0xcfcc6c00, "put_disk" },
	{ 0x39dd98b8, "blk_queue_merge_bvec" },
	{ 0xc56ab13, "blk_queue_io_opt" },
	{ 0xd15c6b21, "blk_queue_io_min" },
	{ 0x83cc7d9d, "blk_queue_max_segment_size" },
	{ 0x9ae23ac, "blk_queue_max_hw_sectors" },
	{ 0x4424c116, "blk_queue_physical_block_size" },
	{ 0xea8331, "blk_init_queue" },
	{ 0x75a3c4c8, "alloc_disk" },
	{ 0xb8f040b6, "ceph_pg_pool_name_by_id" },
	{ 0xc499ae1e, "kstrdup" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x2b9708c3, "__init_rwsem" },
	{ 0xd89b2b5b, "ceph_compare_options" },
	{ 0xc68ac04f, "mutex_unlock" },
	{ 0x444bcb2a, "mutex_lock" },
	{ 0x3d859b77, "ceph_open_session" },
	{ 0x8915cacd, "ceph_destroy_options" },
	{ 0xf5b1e28f, "ceph_create_client" },
	{ 0x44e9a829, "match_token" },
	{ 0x87184f5b, "ceph_parse_options" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xafe82e10, "strcspn" },
	{ 0x3fa913da, "strspn" },
	{ 0x8f6973e5, "ceph_destroy_client" },
	{ 0x3ed7d20a, "up_write" },
	{ 0x92da295a, "down_write" },
	{ 0xbfadf2aa, "osd_req_op_cls_request_data_pages" },
	{ 0xfc984a2d, "module_put" },
	{ 0x7b8344ea, "device_unregister" },
	{ 0xcf8eca84, "ceph_osdc_flush_notifies" },
	{ 0x3c80c06c, "kstrtoull" },
	{ 0x892f6314, "blk_end_request" },
	{ 0xf622cb83, "osd_req_op_extent_osd_data_bio" },
	{ 0x9edbecae, "snprintf" },
	{ 0xb9fe5e99, "up_read" },
	{ 0x6b2e3bcd, "ceph_get_snap_context" },
	{ 0x8fc4eb2, "down_read" },
	{ 0xe014e162, "revalidate_disk" },
	{ 0x68a782e5, "arch_spin_lock_wait" },
	{ 0x55678b4b, "bsearch" },
	{ 0xc274e72e, "osd_req_op_cls_response_data_pages" },
	{ 0x533e8816, "osd_req_op_cls_request_data_pagelist" },
	{ 0xd64bec4b, "ceph_pagelist_append" },
	{ 0x909a5be1, "osd_req_op_cls_init" },
	{ 0x3f688151, "ceph_put_snap_context" },
	{ 0xae3515ba, "ceph_create_snap_context" },
	{ 0x84f2578e, "ceph_copy_from_page_vector" },
	{ 0x1e4b4926, "osd_req_op_extent_osd_data_pages" },
	{ 0xa88f3223, "osd_req_op_extent_init" },
	{ 0x5c0220aa, "ceph_osdc_set_request_linger" },
	{ 0xb99d6f15, "ceph_osdc_cancel_event" },
	{ 0xbfd73eab, "osd_req_op_watch_init" },
	{ 0x40c26cf7, "ceph_osdc_unregister_linger_request" },
	{ 0x225692f8, "ceph_osdc_create_event" },
	{ 0xf7a28718, "wait_for_completion_interruptible" },
	{ 0x143be719, "osd_req_op_raw_data_in_pages" },
	{ 0x589f32e1, "osd_req_op_init" },
	{ 0xaed2cbce, "ceph_alloc_page_vector" },
	{ 0xea04b0e5, "ceph_osdc_start_request" },
	{ 0x67053080, "current_kernel_time" },
	{ 0x84d44b76, "complete_all" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x37365f88, "vmemmap" },
	{ 0x36fe6cf5, "ceph_release_page_vector" },
	{ 0x53d7aa56, "bio_put" },
	{ 0xbb542239, "kmem_cache_free" },
	{ 0xd5b037e1, "kref_put" },
	{ 0x197effcb, "ceph_osdc_release_request" },
	{ 0xebbf08d, "ceph_osdc_build_request" },
	{ 0xcd24884e, "bio_clone" },
	{ 0x7533859a, "bio_alloc" },
	{ 0x9775cdc, "kref_get" },
	{ 0x63051af4, "ceph_osdc_alloc_request" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xc8d112d, "__init_waitqueue_head" },
	{ 0x616adb86, "kmem_cache_alloc" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x83800bfa, "kref_init" },
	{ 0xa1b56fbb, "kmem_cache_alloc_trace" },
	{ 0x1e2a3e9, "malloc_sizes" },
	{ 0x37a0cba, "kfree" },
	{ 0x27e1a049, "printk" },
	{ 0x9514151a, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libceph";


MODULE_INFO(srcversion, "20CEFCBA57F771874BD998A");
